package com.steering.mes.mcp.entity;
/**
 * 数据库表HTT_ENTRUST所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-07-26
 */
@SuppressWarnings("serial")
public class HttEntrustEntity implements java.io.Serializable {
    /**
     * 委外单号
     */
    private String subcontractNo = "";
    /**
     * 委外单号序号
     */
    private String subcontractNoSeq = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 单编号
     */
    private String proPlanId = "";
    /**
     * 订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 委托单状态(00：初始值、  10：审核通过、20审核不通过、22.探伤审核通过, 23 探伤审核不通过， 24.制造部审核通过, 25 制造部审核不通过   29,已生产     30已回报  40回报完毕 50回报审核, 60关闭)
     */
    private String subcontractLog = "";
    /**
     * 委外产线代码
     */
    private String subcontractPlineCode = "";
    /**
     * 委外产线描述
     */
    private String subcontractPlineName = "";
    /**
     * 委外说明(委托单位)
     */
    private String subcontractNote = "";
    /**
     * 审批说明
     */
    private String spNote = "";
    /**
     * 离线表主键
     */
    private String resultNo = "";
    /**
     * 委托人
     */
    private String subcontractUser = "";
    /**
     * 委托班次
     */
    private String subcontractShift = "";
    /**
     * 委托班组
     */
    private String subcontractGroup = "";
    /**
     * 委托时间
     */
    private String subcontractTime = "";
    /**
     * 审批人
     */
    private String spUser = "";
    /**
     * 审作时间
     */
    private String spTime = "";
    /**
     * 回报人
     */
    private String respondUser = "";
    /**
     * 回报时间
     */
    private String respondTime = "";
    /**
     * 委外项带探伤 0-无探伤  1-有探伤
     */
    private String subcontractType = "";
    /**
     * 热处理后的新批号
     */
    private String newBatchNo = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 外径
     */
    private String actDimater = "";
    /**
     * 壁厚
     */
    private String actHeight = "";
    /**
     * 委外支数
     */
    private String subcontractNum = "";
    /**
     * 委外重量
     */
    private String subcontractWt = "";
    /**
     * 委外回报合格支数
     */
    private String hbCompleteNum = "";
    /**
     * 委外回报合格重量
     */
    private String hbCompleteWt = "";
    /**
     * 委外回报废品支数
     */
    private String hbFpNum = "";
    /**
     * 委外回报废品重量
     */
    private String hbFpWt = "";
    /**
     * 分切数
     */
    private String cutNum = "";
    /**
     * 工序代码
     */
    private String processCode = "";
    /**
     * 委托说明
     */
    private String applyNote = "";
    /**
     * 生产标准
     */
    private String prodStandard = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 成分标准索引号集合(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号集合(内控)
     */
    private String pic = "";
    /**
     * 公差标准索引号集合(内控)
     */
    private String sic = "";
    /**
     * 探伤索引号集合(内控)
     */
    private String dic = "";
    /**
     * 水压索引码集合(内控)
     */
    private String wic = "";
    /**
     * 加工标准索引号集合(，)(内控)
     */
    private String gic = "";
    /**
     * DESGIN_KEY
     */
    private String desginKey = "";
    /**
     * 制程号(内控用)
     */
    private String mscPline = "";
    /**
     * 检验编号
     */
    private String checkNo = "";
    /**
     * //委外支数(分切后)  弃用
     */
    private String subcontractNumCut = "";
    /**
     * 委外项描述
     */
    private String subcontractTypeName = "";
    /**
     * 0-委外  1-委内
     */
    private String subcontractTarget = "";
    /**
     * 委托作业方
     */
    private String subcontractOperator = "";
    /**
     * 仓库代码
     */
    private String storageTypeNo = "";
    /**
     * 仓库
     */
    private String storageTypeName = "";
    /**
     * 是否监制(1-监制)
     */
    private String ifMonitor = "";
    /**
     * 图纸号
     */
    private String drawingno = "";
    /**
     * 委外提前回报支数
     */
    private String preCompleteNum = "";
    /**
     * 委外提前回报重量
     */
    private String preCompleteWt = "";
    /**
     * 标示炉号
     */
    private String flagStoveNo = "";
    /**
     * 完工报告单
     */
    private String reportPath = "";
    /**
     * 是否下发
     */
    private String isDown = "";
    /**
     * 是否返回原产线 0 - 返线 1- 不返线
     */
    private String isReturn = "";
    /**
     * 上料炉号
     */
    private String loadJudgeStoveNo = "";
    /**
     * 委外总长度
     */
    private String subcontractLen = "";
    
    /**
     * 委外总长度
     */
    public String getSubcontractLen() {
		return subcontractLen;
	}
    /**
     * 委外总长度
     */
	public void setSubcontractLen(String subcontractLen) {
		this.subcontractLen = subcontractLen;
	}

	/**
     * 委外单号
     * @return value
     */
    public String getSubcontractNo() {
        return subcontractNo;
    }

    /**
     * 委外单号
     * @param subcontractNo value
     */
    public void setSubcontractNo(String subcontractNo) {
        this.subcontractNo = subcontractNo;
    }

    /**
     * 委外单号序号
     * @return value
     */
    public String getSubcontractNoSeq() {
        return subcontractNoSeq;
    }

    /**
     * 委外单号序号
     * @param subcontractNoSeq value
     */
    public void setSubcontractNoSeq(String subcontractNoSeq) {
        this.subcontractNoSeq = subcontractNoSeq;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 委托单状态(00：初始值、  10：审核通过、20审核不通过、22.探伤审核通过, 23 探伤审核不通过， 24.制造部审核通过, 25 制造部审核不通过   29,已生产     30已回报  40回报完毕 50回报审核, 60关闭)
     * @return value
     */
    public String getSubcontractLog() {
        return subcontractLog;
    }

    /**
     * 委托单状态(00：初始值、  10：审核通过、20审核不通过、22.探伤审核通过, 23 探伤审核不通过， 24.制造部审核通过, 25 制造部审核不通过   29,已生产     30已回报  40回报完毕 50回报审核, 60关闭)
     * @param subcontractLog value
     */
    public void setSubcontractLog(String subcontractLog) {
        this.subcontractLog = subcontractLog;
    }

    /**
     * 委外产线代码
     * @return value
     */
    public String getSubcontractPlineCode() {
        return subcontractPlineCode;
    }

    /**
     * 委外产线代码
     * @param subcontractPlineCode value
     */
    public void setSubcontractPlineCode(String subcontractPlineCode) {
        this.subcontractPlineCode = subcontractPlineCode;
    }

    /**
     * 委外产线描述
     * @return value
     */
    public String getSubcontractPlineName() {
        return subcontractPlineName;
    }

    /**
     * 委外产线描述
     * @param subcontractPlineName value
     */
    public void setSubcontractPlineName(String subcontractPlineName) {
        this.subcontractPlineName = subcontractPlineName;
    }

    /**
     * 委外说明(委托单位)
     * @return value
     */
    public String getSubcontractNote() {
        return subcontractNote;
    }

    /**
     * 委外说明(委托单位)
     * @param subcontractNote value
     */
    public void setSubcontractNote(String subcontractNote) {
        this.subcontractNote = subcontractNote;
    }

    /**
     * 审批说明
     * @return value
     */
    public String getSpNote() {
        return spNote;
    }

    /**
     * 审批说明
     * @param spNote value
     */
    public void setSpNote(String spNote) {
        this.spNote = spNote;
    }

    /**
     * 离线表主键
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 离线表主键
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 委托人
     * @return value
     */
    public String getSubcontractUser() {
        return subcontractUser;
    }

    /**
     * 委托人
     * @param subcontractUser value
     */
    public void setSubcontractUser(String subcontractUser) {
        this.subcontractUser = subcontractUser;
    }

    /**
     * 委托班次
     * @return value
     */
    public String getSubcontractShift() {
        return subcontractShift;
    }

    /**
     * 委托班次
     * @param subcontractShift value
     */
    public void setSubcontractShift(String subcontractShift) {
        this.subcontractShift = subcontractShift;
    }

    /**
     * 委托班组
     * @return value
     */
    public String getSubcontractGroup() {
        return subcontractGroup;
    }

    /**
     * 委托班组
     * @param subcontractGroup value
     */
    public void setSubcontractGroup(String subcontractGroup) {
        this.subcontractGroup = subcontractGroup;
    }

    /**
     * 委托时间
     * @return value
     */
    public String getSubcontractTime() {
        return subcontractTime;
    }

    /**
     * 委托时间
     * @param subcontractTime value
     */
    public void setSubcontractTime(String subcontractTime) {
        this.subcontractTime = subcontractTime;
    }

    /**
     * 审批人
     * @return value
     */
    public String getSpUser() {
        return spUser;
    }

    /**
     * 审批人
     * @param spUser value
     */
    public void setSpUser(String spUser) {
        this.spUser = spUser;
    }

    /**
     * 审作时间
     * @return value
     */
    public String getSpTime() {
        return spTime;
    }

    /**
     * 审作时间
     * @param spTime value
     */
    public void setSpTime(String spTime) {
        this.spTime = spTime;
    }

    /**
     * 回报人
     * @return value
     */
    public String getRespondUser() {
        return respondUser;
    }

    /**
     * 回报人
     * @param respondUser value
     */
    public void setRespondUser(String respondUser) {
        this.respondUser = respondUser;
    }

    /**
     * 回报时间
     * @return value
     */
    public String getRespondTime() {
        return respondTime;
    }

    /**
     * 回报时间
     * @param respondTime value
     */
    public void setRespondTime(String respondTime) {
        this.respondTime = respondTime;
    }

    /**
     * 委外项带探伤 0-无探伤  1-有探伤
     * @return value
     */
    public String getSubcontractType() {
        return subcontractType;
    }

    /**
     * 委外项带探伤 0-无探伤  1-有探伤
     * @param subcontractType value
     */
    public void setSubcontractType(String subcontractType) {
        this.subcontractType = subcontractType;
    }

    /**
     * 热处理后的新批号
     * @return value
     */
    public String getNewBatchNo() {
        return newBatchNo;
    }

    /**
     * 热处理后的新批号
     * @param newBatchNo value
     */
    public void setNewBatchNo(String newBatchNo) {
        this.newBatchNo = newBatchNo;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 外径
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 委外支数
     * @return value
     */
    public String getSubcontractNum() {
        return subcontractNum;
    }

    /**
     * 委外支数
     * @param subcontractNum value
     */
    public void setSubcontractNum(String subcontractNum) {
        this.subcontractNum = subcontractNum;
    }

    /**
     * 委外重量
     * @return value
     */
    public String getSubcontractWt() {
        return subcontractWt;
    }

    /**
     * 委外重量
     * @param subcontractWt value
     */
    public void setSubcontractWt(String subcontractWt) {
        this.subcontractWt = subcontractWt;
    }

    /**
     * 委外回报合格支数
     * @return value
     */
    public String getHbCompleteNum() {
        return hbCompleteNum;
    }

    /**
     * 委外回报合格支数
     * @param hbCompleteNum value
     */
    public void setHbCompleteNum(String hbCompleteNum) {
        this.hbCompleteNum = hbCompleteNum;
    }

    /**
     * 委外回报合格重量
     * @return value
     */
    public String getHbCompleteWt() {
        return hbCompleteWt;
    }

    /**
     * 委外回报合格重量
     * @param hbCompleteWt value
     */
    public void setHbCompleteWt(String hbCompleteWt) {
        this.hbCompleteWt = hbCompleteWt;
    }

    /**
     * 委外回报废品支数
     * @return value
     */
    public String getHbFpNum() {
        return hbFpNum;
    }

    /**
     * 委外回报废品支数
     * @param hbFpNum value
     */
    public void setHbFpNum(String hbFpNum) {
        this.hbFpNum = hbFpNum;
    }

    /**
     * 委外回报废品重量
     * @return value
     */
    public String getHbFpWt() {
        return hbFpWt;
    }

    /**
     * 委外回报废品重量
     * @param hbFpWt value
     */
    public void setHbFpWt(String hbFpWt) {
        this.hbFpWt = hbFpWt;
    }

    /**
     * 分切数
     * @return value
     */
    public String getCutNum() {
        return cutNum;
    }

    /**
     * 分切数
     * @param cutNum value
     */
    public void setCutNum(String cutNum) {
        this.cutNum = cutNum;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 委托说明
     * @return value
     */
    public String getApplyNote() {
        return applyNote;
    }

    /**
     * 委托说明
     * @param applyNote value
     */
    public void setApplyNote(String applyNote) {
        this.applyNote = applyNote;
    }

    /**
     * 生产标准
     * @return value
     */
    public String getProdStandard() {
        return prodStandard;
    }

    /**
     * 生产标准
     * @param prodStandard value
     */
    public void setProdStandard(String prodStandard) {
        this.prodStandard = prodStandard;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 成分标准索引号集合(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号集合(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号集合(内控)
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号集合(内控)
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 水压索引码集合(内控)
     * @return value
     */
    public String getWic() {
        return wic;
    }

    /**
     * 水压索引码集合(内控)
     * @param wic value
     */
    public void setWic(String wic) {
        this.wic = wic;
    }

    /**
     * 加工标准索引号集合(，)(内控)
     * @return value
     */
    public String getGic() {
        return gic;
    }

    /**
     * 加工标准索引号集合(，)(内控)
     * @param gic value
     */
    public void setGic(String gic) {
        this.gic = gic;
    }

    /**
     * DESGIN_KEY
     * @return value
     */
    public String getDesginKey() {
        return desginKey;
    }

    /**
     * DESGIN_KEY
     * @param desginKey value
     */
    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }

    /**
     * 制程号(内控用)
     * @return value
     */
    public String getMscPline() {
        return mscPline;
    }

    /**
     * 制程号(内控用)
     * @param mscPline value
     */
    public void setMscPline(String mscPline) {
        this.mscPline = mscPline;
    }

    /**
     * 检验编号
     * @return value
     */
    public String getCheckNo() {
        return checkNo;
    }

    /**
     * 检验编号
     * @param checkNo value
     */
    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }

    /**
     * //委外支数(分切后)  弃用
     * @return value
     */
    public String getSubcontractNumCut() {
        return subcontractNumCut;
    }

    /**
     * //委外支数(分切后)  弃用
     * @param subcontractNumCut value
     */
    public void setSubcontractNumCut(String subcontractNumCut) {
        this.subcontractNumCut = subcontractNumCut;
    }

    /**
     * 委外项描述
     * @return value
     */
    public String getSubcontractTypeName() {
        return subcontractTypeName;
    }

    /**
     * 委外项描述
     * @param subcontractTypeName value
     */
    public void setSubcontractTypeName(String subcontractTypeName) {
        this.subcontractTypeName = subcontractTypeName;
    }

    /**
     * 0-委外  1-委内
     * @return value
     */
    public String getSubcontractTarget() {
        return subcontractTarget;
    }

    /**
     * 0-委外  1-委内
     * @param subcontractTarget value
     */
    public void setSubcontractTarget(String subcontractTarget) {
        this.subcontractTarget = subcontractTarget;
    }

    /**
     * 委托作业方
     * @return value
     */
    public String getSubcontractOperator() {
        return subcontractOperator;
    }

    /**
     * 委托作业方
     * @param subcontractOperator value
     */
    public void setSubcontractOperator(String subcontractOperator) {
        this.subcontractOperator = subcontractOperator;
    }

    /**
     * 仓库代码
     * @return value
     */
    public String getStorageTypeNo() {
        return storageTypeNo;
    }

    /**
     * 仓库代码
     * @param storageTypeNo value
     */
    public void setStorageTypeNo(String storageTypeNo) {
        this.storageTypeNo = storageTypeNo;
    }

    /**
     * 仓库
     * @return value
     */
    public String getStorageTypeName() {
        return storageTypeName;
    }

    /**
     * 仓库
     * @param storageTypeName value
     */
    public void setStorageTypeName(String storageTypeName) {
        this.storageTypeName = storageTypeName;
    }

    /**
     * 是否监制(1-监制)
     * @return value
     */
    public String getIfMonitor() {
        return ifMonitor;
    }

    /**
     * 是否监制(1-监制)
     * @param ifMonitor value
     */
    public void setIfMonitor(String ifMonitor) {
        this.ifMonitor = ifMonitor;
    }

    /**
     * 图纸号
     * @return value
     */
    public String getDrawingno() {
        return drawingno;
    }

    /**
     * 图纸号
     * @param drawingno value
     */
    public void setDrawingno(String drawingno) {
        this.drawingno = drawingno;
    }

    /**
     * 委外提前回报支数
     * @return value
     */
    public String getPreCompleteNum() {
        return preCompleteNum;
    }

    /**
     * 委外提前回报支数
     * @param preCompleteNum value
     */
    public void setPreCompleteNum(String preCompleteNum) {
        this.preCompleteNum = preCompleteNum;
    }

    /**
     * 委外提前回报重量
     * @return value
     */
    public String getPreCompleteWt() {
        return preCompleteWt;
    }

    /**
     * 委外提前回报重量
     * @param preCompleteWt value
     */
    public void setPreCompleteWt(String preCompleteWt) {
        this.preCompleteWt = preCompleteWt;
    }

    /**
     * 标示炉号
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 完工报告单
     * @return value
     */
    public String getReportPath() {
        return reportPath;
    }

    /**
     * 完工报告单
     * @param reportPath value
     */
    public void setReportPath(String reportPath) {
        this.reportPath = reportPath;
    }

    /**
     * 是否下发
     * @return value
     */
    public String getIsDown() {
        return isDown;
    }

    /**
     * 是否下发
     * @param isDown value
     */
    public void setIsDown(String isDown) {
        this.isDown = isDown;
    }

    /**
     * 是否返回原产线 0 - 返线 1- 不返线
     * @return value
     */
    public String getIsReturn() {
        return isReturn;
    }

    public String getOutputStandard() {
        return outputStandard;
    }

    public void setOutputStandard(String outputStandard) {
        this.outputStandard = outputStandard;
    }

    /**
     * 是否返回原产线 0 - 返线 1- 不返线
     * @param isReturn value
     */

    public void setIsReturn(String isReturn) {
        this.isReturn = isReturn;
    }

    public String getLoadJudgeStoveNo() {
        return loadJudgeStoveNo;
    }

    public void setLoadJudgeStoveNo(String loadJudgeStoveNo) {
        this.loadJudgeStoveNo = loadJudgeStoveNo;
    }

    private String outputStandard  ;
}